Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
monthreport.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZStatsMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) | $query = new eZPageViewQuery()
| $monthReport =& $query->monthStats( $Year, $Month )
if(count( $monthReport) > 0) | else
| $months
| $NextYear = $Year
| $PrevYear = $Year
| $NextMonth = $Month + 1
if( $NextMonth > 12) | $PrevMonth = $Month - 1
| $cur_date = new eZDate()
| $next_date = new eZDate( $NextYear, $NextMonth, 1 )

## Variable Documentation

## ◆ $cur_date

$cur_date = new eZDate()

Definition at line 196 of file monthreport.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file monthreport.php.

## ◆ $Language

$Language = $ini->variable( "eZStatsMain", "Language" )

Definition at line 30 of file monthreport.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 33 of file monthreport.php.

## ◆ $monthReport

$monthReport =& $query->monthStats( $Year, $Month )

Definition at line 73 of file monthreport.php.

## ◆ $months

$months

Initial value:
= array( 1 => "jan",
2 => "feb",
3 => "mar",
4 => "apr",
5 => "may",
6 => "jun",
7 => "jul",
8 => "aug",
9 => "sep",
10 => "oct",
11 => "nov",
12 => "dec" )

Definition at line 154 of file monthreport.php.

## ◆ $next_date

$next_date = new eZDate( $NextYear, $NextMonth, 1 )

Definition at line 197 of file monthreport.php.

## ◆ $NextMonth

$NextMonth = $Month + 1

Definition at line 174 of file monthreport.php.

## ◆ $NextYear

$NextYear = $Year

Definition at line 172 of file monthreport.php.

## ◆ $PrevMonth

if ($NextMonth > 12) $PrevMonth = $Month - 1

Definition at line 180 of file monthreport.php.

## ◆ $PrevYear

$PrevYear = $Year

Definition at line 173 of file monthreport.php.

## ◆ $query

if (isset($Year) &&!is_numeric($Year)||isset($Month) &&!is_numeric($Month)) $query = new eZPageViewQuery()

Definition at line 72 of file monthreport.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezstats/admin/" . $ini->variable( "eZStatsMain", "AdminTemplateDir" ),
"kernel/ezstats/admin/intl", $Language, "monthreport.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: monthreport.php:30
$ini
$ini
Definition: monthreport.php:28

Definition at line 41 of file monthreport.php.

## ◆ else

if (count($monthReport) > 0) else

Initial value:
{
$t->set_var( "result_list", "" )
$t
$t
Definition: monthreport.php:41

Definition at line 149 of file monthreport.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.